> For the complete documentation index, see [llms.txt](https://help.dragen.illumina.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.dragen.illumina.com/dragen-v4.3/reference/licensing.md).

# DRAGEN Licensing

## Licensing Summary

DRAGEN is a product which uses quota based licensing for multiple features. Each individual license contains information for the feature(s) it unlocks, a start date, an expiration date, and the quota available to the license (in units of Gigabases).

If you are interested in learning more about DRAGEN Licenses, or are experiencing any Licensing related issues - please [contact us](https://www.illumina.com/company/contact-us.html).

## License Quota Consumption

Most DRAGEN runs consume quota, of which typically is the # of bases found in the input BAM/FASTQ. Note, this is calculated per run - so running multiple pipelines in the same run consumes less quota compared to running them individually.

Pipelines which don't consume quota;

* Germline / Somatic - CNV Only or SV Only
* Germline - Joint Genotyping
* BCL Convert

## Install and View Licenses

The DRAGEN Licensing experience varies depending on the platform used to run DRAGEN, please review the section relevant to you for specific licensing details.

* For more information on DRAGEN Server (On-Premises) Licensing, refer to the [DRAGEN Server License Reference Section](/dragen-v4.3/reference/licensing/onprem_licensing.md).
* For more information on DRAGEN Cloud Licensing, refer to the [DRAGEN Cloud License Reference Section](/dragen-v4.3/reference/licensing/cloud_licensing.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://help.dragen.illumina.com/dragen-v4.3/reference/licensing.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
